declare -A ZPLGM
ZPLGM[BIN_DIR]="$HOME/.config/dotfiles/zplugin/bin"
ZPLGM[HOME_DIR]="$HOME/.config/dotfiles/zplugin"

source $HOME/.config/dotfiles/zplugin/bin/zplugin.zsh

# completions
zplugin silent wait blockf atpull'zplugin creinstall -q .' for zsh-users/zsh-completions

# autosuggest
zplugin silent wait atload"_zsh_autosuggest_start" for zsh-users/zsh-autosuggestions

# theme
zplugin light romkatv/powerlevel10k

# lib files
zplugin snippet OMZ::lib/clipboard.zsh
zplugin snippet OMZ::lib/completion.zsh
zplugin snippet OMZ::lib/directories.zsh
zplugin snippet OMZ::lib/functions.zsh
zplugin snippet OMZ::lib/grep.zsh
zplugin snippet OMZ::lib/key-bindings.zsh
zplugin snippet OMZ::lib/misc.zsh
zplugin snippet OMZ::lib/spectrum.zsh
zplugin snippet OMZ::lib/termsupport.zsh

alias ls="ls --color=tty"
setopt auto_cd
setopt multios
setopt prompt_subst

zplugin snippet OMZ::plugins/common-aliases/common-aliases.plugin.zsh
zplugin snippet OMZ::plugins/gitignore/gitignore.plugin.zsh

# ls_colors
source $ZDOTDIR/dircolor.zsh
zstyle ":completion:*" list-colors “${(s.:.)LS_COLORS}

# syntax highlighting
zplugin silent wait atinit"zpcompinit; zpcdreplay -q" for zsh-users/zsh-syntax-highlighting
